- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectLocations/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectLocations/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectLocations/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectLocations/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectLocations/get#body.InterconnectLocation.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectLocations/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectLocations/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/interconnectLocations/get#try-it)

Returns the details for the specified interconnect location. Gets a list of available interconnect locations by making a `list()` request.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/global/interconnectLocations/{interconnectLocation}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `interconnectLocation` | `string` Name of the interconnect location to return. |

### Request body

The request body must be empty.

### Response body

Represents an Interconnect Attachment (VLAN) Location resource.

You can use this resource to find location details about an Interconnect attachment (VLAN). For more information about interconnect attachments, read [Creating VLAN Attachments](https://cloud.google.com/network-connectivity/docs/interconnect/how-to/dedicated/creating-vlan-attachments).

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "description": string, "selfLink": string, "id": string, "creationTimestamp": string, "name": string, "peeringdbFacilityId": string, "address": string, "facilityProvider": string, "facilityProviderFacilityId": string, "regionInfos": [ { "region": string, "expectedRttMs": string, "locationPresence": enum, "l2ForwardingEnabled": boolean } ], "crossSiteInterconnectInfos": [ { "city": string, "maxFixedPathBandwidthGbps": string, "maxDynamicPathBandwidthGbps": string } ], "continent": enum, "city": string, "availabilityZone": string, "status": enum, "supportsPzs": boolean, "availableFeatures": [ enum ], "availableLinkTypes": [ enum ], "singleRegionProductionCriticalPeerLocations": [ string ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#interconnectLocation` for interconnect locations. |
| `description` | `string` Output only. An optional description of the resource. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` Output only. Name of the resource. |
| `peeringdbFacilityId` | `string` Output only. The peeringdb identifier for this facility (corresponding with a netfac type in peeringdb). |
| `address` | `string` Output only. The postal address of the Point of Presence, each line in the address is separated by a newline character. |
| `facilityProvider` | `string` Output only. The name of the provider for this facility (e.g., EQUINIX). |
| `facilityProviderFacilityId` | `string` Output only. A provider-assigned Identifier for this facility (e.g., Ashburn-DC1). |
| `regionInfos[]` | `object` Output only. A list of InterconnectLocation.RegionInfo objects, that describe parameters pertaining to the relation between this InterconnectLocation and various Google Cloud regions. |
| `regionInfos[].region` | `string` Output only. URL for the region of this location. |
| `regionInfos[].expectedRttMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Expected round-trip time in milliseconds, from this InterconnectLocation to a VM in this region. |
| `regionInfos[].locationPresence` | `enum` Output only. Identifies the network presence of this location. |
| `regionInfos[].l2ForwardingEnabled` | `boolean` Output only. Identifies whether L2 Interconnect Attachments can be created in this region for interconnects that are in this location. |
| `crossSiteInterconnectInfos[]` | `object` Output only. A list of InterconnectLocation.CrossSiteInterconnectInfo objects, that describe where Cross-Site Interconnect wires may connect to from this location and associated connection parameters. Cross-Site Interconnect isn't allowed to locations which are not listed. |
| `crossSiteInterconnectInfos[].city` | `string` Output only. The remote location for Cross-Site Interconnect wires. This specifies an InterconnectLocation city (metropolitan area designator), which itself may match multiple InterconnectLocations. |
| `crossSiteInterconnectInfos[].maxFixedPathBandwidthGbps` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The maximum unmetered bandwidth for fixed paths allowable per WireGroup for this metro. |
| `crossSiteInterconnectInfos[].maxDynamicPathBandwidthGbps` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The maximum unmetered bandwidth for dynamic paths allowable per WireGroup for this metro. |
| `continent` | `enum` Output only. Continent for this location, which can take one of the following values: - AFRICA - ASIA_PAC - EUROPE - NORTH_AMERICA - SOUTH_AMERICA <br /> |
| `city` | `string` Output only. Metropolitan area designator that indicates which city an interconnect is located. For example: "Chicago, IL", "Amsterdam, Netherlands". |
| `availabilityZone` | `string` Output only. Availability zone for this InterconnectLocation. Within a metropolitan area (metro), maintenance will not be simultaneously scheduled in more than one availability zone. Example: "zone1" or "zone2". |
| `status` | `enum` Output only. The status of this InterconnectLocation, which can take one of the following values: - CLOSED: The InterconnectLocation is closed and is unavailable for provisioning new Interconnects. - AVAILABLE: The InterconnectLocation is available for provisioning new Interconnects. <br /> |
| `supportsPzs` | `boolean` Output only. Reserved for future use. |
| `availableFeatures[]` | `enum` Output only. interconnectLocations.list of features available at this InterconnectLocation, which can take one of the following values: - IF_MACSEC - IF_CROSS_SITE_NETWORK <br /> |
| `availableLinkTypes[]` | `enum` Output only. interconnectLocations.list of link types available at this InterconnectLocation, which can take one of the following values: - LINK_TYPE_ETHERNET_10G_LR - LINK_TYPE_ETHERNET_100G_LR - LINK_TYPE_ETHERNET_400G_LR4 <br /> |
| `singleRegionProductionCriticalPeerLocations[]` | `string` Output only. URLs of the other locations that can pair up with this location to support Single-Region 99.99% SLA. E.g. iad-zone1-1 and iad-zone2-5467 are Single-Region 99.99% peer locations of each other. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.interconnectLocations.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).